Skip Menu |
 

This queue is for tickets about the Alien-wxWidgets CPAN distribution.

Report information
The Basics
Id: 47386
Status: open
Priority: 0/
Queue: Alien-wxWidgets

People
Owner: Nobody in particular
Requestors: moc [...] coders-haven.net
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.43
Fixed in: (no value)



Subject: Support for GCC 4.4.0 on Windows?
Download (untitled) / with headers
text/plain 441b
Windows XP, ActivePerl 5.10.0.1005, MinGW GCC 4.4.0 Alien::wxWidgets 0.43 Upon compiling Alien::wxWidgets I noticed that the dll's filenames contain "_gcc_3_4", however no errors occur. Since I do get an error as stated in ticket #46309 when trying to compile Wx, I'm wondering wether Alien::wxWidgets does for some reasons not support GCC 4.4.0? PS: The error when compiling Wx occurs with both TDM-1 MinGW32 4.4.0 and MinGW GCC 4.4.0
Download (untitled) / with headers
text/plain 312b
On Sat Jun 27 03:11:17 2009, moc@coders-haven.net wrote: Show quoted text
> Upon compiling Alien::wxWidgets I noticed that the dll's filenames > contain "_gcc_3_4", however no errors occur.
3.4 is the ABI version, and it is correct since all G++ versions since 3.4 produce (AFAIK) binary-compatible code. Regards, Mattia


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.